-- Copyright 2007 Gas Powered Games - All rights reserved
--
-- Author: Matt Mahon
--
-- Description:
--    Sample Mod to double economic output of econ units.
--


--this function is called already in game. This gives us a hook to screw the 
--blueprint values for the units

do
    local oldModBlueprints = ModBlueprints

    function ModBlueprints(all_bps)
	    oldModBlueprints(all_bps)

        local econScale = 2.0
        
        --loop through the blueprints and adjust as desired.
        for id,bp in all_bps.Unit do
            if bp.Economy.ProductionPerSecondMass then
               bp.Economy.ProductionPerSecondMass = bp.Economy.ProductionPerSecondMass * econScale
            end
            if bp.Economy.ProductionPerSecondEnergy then
               bp.Economy.ProductionPerSecondEnergy = bp.Economy.ProductionPerSecondEnergy * econScale
            end 
		





#
#
#
#
#
#
# Popos Action Mod nderungen:





#
#
#
#
#
#
#
#
#
#
# Black Ops Mod nderungen:
#
#
function remove_tech1(_index)
	if bp.Categories[_index] == 'TECH1' then
		table.remove(bp.Categories, _index)
	end
end

function remove_tech2(_index)
	if bp.Categories[_index] == 'TECH2' then
		table.remove(bp.Categories, _index)
	end
end

function remove_tech3(_index)
	if bp.Categories[_index] == 'TECH3' then
		table.remove(bp.Categories, _index)
	end
end

function aendere_brl0110(_index)
	if bp.Categories[_index] == 'TECH1' then
		table.remove(bp.Categories, _index)
	end
	if bp.Categories[_index] == 'BUILTBYTIER1FACTORY' then
		table.remove(bp.Categories, _index)
	end
end

function aendere_eel0401(_index)
	if bp.Categories[_index] == 'BUILTBYTIER3COMMANDER' then
		table.remove(bp.Categories, _index)
	end
	if bp.Categories[_index] == 'BUILTBYTIER3ENGINEER' then
		table.remove(bp.Categories, _index)
	end
	if bp.Categories[_index] == 'NEEDMOBILEBUILD' then
		table.remove(bp.Categories, _index)
	end
	if bp.Categories[_index] == 'DRAGBUILD' then
		table.remove(bp.Categories, _index)
	end
end

if bp.Description == '<LOC bel0307_desc>Battle Station' then
	table.insert(bp.Categories, 'EXPERIMENTAL')
	table.insert(bp.Categories, 'BUILTBYTIER2FACTORY')
	table.foreach(bp.Categories, remove_tech3)
end

if bp.Description == '<LOC brl0110_desc>Multi-Weapon Assault Bot' then
	table.insert(bp.Categories, 'EXPERIMENTAL')
	table.insert(bp.Categories, 'BUILTBYTIER2FACTORY')
	table.foreach(bp.Categories, aendere_brl0110)
end

if bp.Description == '<LOC bal0310_desc>Heavy Hover Tank' then
	table.insert(bp.Categories, 'EXPERIMENTAL')
	table.insert(bp.Categories, 'BUILTBYTIER2FACTORY')
	table.foreach(bp.Categories, remove_tech3)
end

if bp.Description == '<LOC bal0206_desc>Medium Assault Tank' then
	table.insert(bp.Categories, 'EXPERIMENTAL')
	table.insert(bp.Categories, 'BUILTBYTIER1FACTORY')
	table.foreach(bp.Categories, remove_tech2)
end

if bp.Description == '<LOC bslk004_desc>Lightning Tank' then
	table.insert(bp.Categories, 'EXPERIMENTAL')
	table.insert(bp.Categories, 'BUILTBYTIER2FACTORY')
	table.foreach(bp.Categories, remove_tech3)
end

if bp.Description == '<LOC bsb0405_desc>Lambda Field Generator/Advanced Point Defense' then
	table.insert(bp.Categories, 'EXPERIMENTAL')
	table.foreach(bp.Categories, remove_tech3)
end

if bp.Description == '<LOC bsb5205_desc>Advanced Air Staging Beacon' then
	table.insert(bp.Categories, 'EXPERIMENTAL')
	table.foreach(bp.Categories, remove_tech3)
end

if bp.Description == 'Experimental Harmonic Wave Generator' then
	table.insert(bp.Categories, 'BUILTBYTIER3FACTORY')
	table.foreach(bp.Categories, aendere_eel0401)
end

if bp.Description == '<LOC bel0109_desc>Tank Hunter/Mobile PD' then
	table.insert(bp.Categories, 'EXPERIMENTAL')
	table.foreach(bp.Categories, remove_tech1)
end



        end
    end

end






